curl --request PUT \
--url https://{tenant}.ekso.app/api/process/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"image": "<string>",
"fields": [
{
"fieldId": "<string>",
"order": 123,
"required": true
}
],
"features": [
"<string>"
],
"workflow": [
{
"id": "<string>",
"fieldId": "<string>",
"value": "<string>",
"next": "<string>",
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'curl --request PUT \
--url https://{tenant}.ekso.app/api/process/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"image": "<string>",
"fields": [
{
"fieldId": "<string>",
"order": 123,
"required": true
}
],
"features": [
"<string>"
],
"workflow": [
{
"id": "<string>",
"fieldId": "<string>",
"value": "<string>",
"next": "<string>",
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The unique identifier of the process to update.
The updated process configuration.
Process updated and containers synchronized.